# Generated by Django 3.2.13 on 2022-04-24 15:00

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0020_totaistipocomunidadeorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaistipocomunidadeporestadoorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaistipocomunidadeporestadoorganizacao AS
            SELECT t.organizacao_id,
                   mt.id,
                   mt.nome,
                   me.nome estado,
                   me.uf uf,
                   count(t.id) AS qtd_comunidadesporestado,
                   sum(t.qtde_familias) as qtd_familiasporestado
            FROM main_territorio t
                     JOIN main_territorio_tipos_comunidade mttc ON t.id = mttc.territorio_id
                     JOIN main_tipocomunidade mt ON mttc.tipocomunidade_id = mt.id
                     JOIN main_municipio mm ON t.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE
                t.deleted IS NULL AND
                t.teste is false AND
                t.status_id = 4
            GROUP BY t.organizacao_id, mt.id, mt.nome, me.nome, me.uf
            ORDER BY qtd_comunidadesporestado DESC, t.organizacao_id, mt.id;
            """),
    ]
